/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */



/* header */
header .header-container {
    transition: .3s;
}
header.active .header-container {
    background-color: #2c77e7 !important;
}
.elementor-icon-wrapper {
    height: fit-content;
}

.elementor-icon {
    display: block;
}
.btn-right .elementor-button-text {
    order: 1;
}
@media screen and (max-width: 1400px) {
	.header-logo-col {
		width: auto;
	}
	.header-menu-col {
		max-width: calc(100% - 350px - 130px - 40px);
		width: 100%;
	}
}

.header-actions-col {
    width: auto;
    white-space: nowrap;
}

.header-actions-col * {
    min-width: initial !important;
}

.header-actions-col .elementor-nav-menu--layout-horizontal .elementor-nav-menu {
    flex-wrap: nowrap;
}
header.active .header-container .elementor-widget-theme-site-logo {
    filter: brightness(0.000001) invert(1);
}





.main-section {
	background: linear-gradient(269.63deg, #0AE9FA 0.3%, #3260ED 46.11%, #1C179C 91.91%);
	border-bottom: 2px solid #98E1FB;
}



/* cards  */
.card-hover {
    padding: 20px;
}
.card-hover:hover {
	z-index: 2;
}
.card-hover:hover * {
    color: #fff;
}
.card-hover > * {
    position: relative;
    z-index: 3;
}
.card-hover .elementor-icon-wrapper {
    height: 42px;
}

.card-hover_main {
    background: linear-gradient(163.58deg, #232FB5 0%, #36A0F3 100%);
}
.card-hover:hover {
	background: linear-gradient(163.58deg, #232FB5 0%, #36A0F3 100%);
}



.card-hover {
    transition: transform .3s !important;
    will-change: transform;
}

.card-hover:hover {
    transform: scale(1.1) translate3d(0, 0, 0);
    box-shadow: 3px 10px 59px 0px rgba(1, 17, 98, 0.38);
}



/* .card-hover:hover:after,
.card-hover_main:after {
    content: "";
    background-image: url('/wp-content/uploads/2025/07/Card-bg.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    top: 2px;
    left: 2px;
    width: calc(100% - 4px);
    height: calc(100% - 2px);
    z-index: 2;
    border-radius: 22px;
} */


.card-hover_plan span.elementor-icon path {
    stroke: white;
}


/* gradient text  */
.text-black-gradient .elementor-heading-title {
	background: linear-gradient(180deg, #212121 50%, #5C5C5C 100%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
	text-fill-color: transparent;
}

/* col divider  */
.col-border-arter:after {
    content: "";
    width: 1px;
    height: 40px;
    background: #00000010;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}
.col-border-arter:last-of-type:after {
    display: none;
}


.events-none {
	pointer-events: none;
}



/* subs form  */
.subs-form .elementor-form-fields-wrapper {
    justify-content: center !important;
}

.subs-form .elementor-form-fields-wrapper .elementor-field-type-submit {
    justify-content: center !important;
}
/* .subs-form .elementor-form-fields-wrapper .elementor-field-type-submit button.elementor-button {
    height: 66px;
} */

.subs-form .elementor-field-group input {
    height: 47px;
}

.text-grad-bensin {
	background: -webkit-linear-gradient(0deg, #C97AFC 34.62%, #78A0F2 65.87%, #27C5E7 78.37%);
	-webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}





/* icon grads */
.hover-icon-cat:hover .icon-gradient path {
  fill: url(#grad);
  transition: fill 0.3s ease;
}
.hover-icon-cat_wifi:hover .icon-gradient path {
	fill: none;
	stroke: url(#grad);
}
.hover-icon-cat .elementor-button {
    background: linear-gradient(94.81deg, #2229AA 1.75%, #13D5F5 99.96%);
    border-radius: 15px;
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.hover-icon-cat .elementor-button {
    background: linear-gradient(94.81deg, #2229AA 1.75%, #13D5F5 99.96%);
    border-radius: 15px;
    height: 75px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hover-icon-cat .elementor-widget-html {
    display:flex;
    justify-content: center;
    padding: 34px 10px;
	border-radius: 15px;
}
.hover-icon-cat:hover .elementor-widget-html {
    background: radial-gradient(90.16% 143.01% at 15.32% 21.04%, rgba(165, 239, 255, 0.2) 0%, rgba(110, 191, 244, 0.0447917) 77.08%, rgba(70, 144, 213, 0) 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */;
    backdrop-filter: blur(40px);
}

.hover-icon-cat:hover .elementor-button-text {
    padding-top: 15px;
}

.hover-icon-cat .elementor-button-text {
    transition: .3s;
}

.hover-icon-cat .elementor-widget-html {
    position: relative;
    z-index: 2;
}

.hover-icon-cat .elementor-widget-button {
    margin-top: -25px;
    z-index: -1;
    position: relative;
}




/* accordeon  */
.e-n-accordion-item[open] {
    background: #fff;
    border-radius: 15px;
}




@media screen and (max-width: 767px) {
	.e-n-tab-title {
		max-width: 100%;
		padding-right: 15px !important;
	}
}

































@media screen and (max-width: 1600px) {
    .header-menu-col {
        display: none;
    }

    .js-burger {
        display: flex !important;
    }
}



/* new mobile menu */
@media screen and (min-width: 1600px) {
    .n-mobile-menu {
        display: none;
    }
}

@media screen and (max-width: 1600px) {

    div#mobile-menu,
    .side-menu-backdrop {
        display: none;
    }


    .woocommerce div.product.layout-style-6 .icons-download-row,
    .detail-section.detail-section_description.section,
    .details-text-box,
    .mobile-product-header {
        z-index: 2;
        position: relative;
    }

    /* Базовые стили */
    .n-mobile-menu {
        position: relative;
        z-index: 9999;
    }

    .background-overlay {
        position: fixed;
        width: 100vw;
        height: 100vh;
        left: 0;
        top: 0;
        opacity: 0;
        visibility: hidden;
        transition: .150s;
        background: #0000006b;
    }

    .n-mobile-menu .mobile-navigation>div {
        position: relative;
    }

    .n-mobile-menu .main-menu-item {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .n-mobile-menu .mobile-menu-wrapper {
        width: 100%;
        transform: translateX(-100%);
        transform: none;
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        max-width: 100vw;
        background: #fff;
        visibility: hidden;
        transition: .7s;
        opacity: 0;
        padding: 10px 0;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .n-mobile-menu__scroll {
        height: calc(100vh - 210px);
        margin: 15px 0;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .n-mobile-menu__header {
        padding: 0 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .n-mobile-menu .menu-link {
        font-size: 16px;
        padding: 8px 20px;
        text-decoration: none;
        text-transform: uppercase;
        font-weight: 400;
        display: flex;
        align-items: center;
        width: 100%;
        gap: 10px;
    }

    .n-mobile-menu .sub-menu_main:not(.sub-sub-menu) {
        position: fixed;
        left: 100%;
        top: 0;
        width: 100%;
        height: 100%;
        padding: 10px 20px;
        transform: translateX(100%);
        transform: none;
        opacity: 1;
        transition: all 0.7s ease;
        z-index: -10;
        background-color: #fff;
    }

    .n-mobile-menu .sub-sub-menu {
        padding-left: 20px;
        display: none;
    }

    .n-mobile-menu .sub-menu .menu-link {
        font-size: 16px;
        padding: 10px 0;
    }


    /* прокрутка */
    .sub-menu.sub-menu_main:not(.sub-sub-menu)>.rb-container {
        max-height: calc(100vh - 22px - 60px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .rb-container::-webkit-scrollbar {
        width: 2px;
        background-color: #f9f9fd;
    }

    .rb-container::-webkit-scrollbar-thumb {
        border-radius: 2px;
        background-color: #23232c;
    }

    .rb-container::-webkit-scrollbar-track {
        background-color: #ccc;
    }




    /* Дополнительные элементы */

    .js-menu-item-sub.active svg {
        transform: rotate(90deg);
    }

    /* close icon */
    .n-mobile-menu__close {
        cursor: pointer;
    }

    .n-mobile-menu__close svg {
        width: 22px;
        height: 22px;
    }

    .n-mobile-menu #mobile-menu {
        display: flex;
        flex-direction: column;
    }

    .n-mobile-menu #mobile-menu>ul {
        padding: 0;
    }


    /* Стили кнопок "назад" и "закрыть" */
    .js-back-main-menu-items,
    .mobile-menu__close {
        cursor: pointer;
    }

    .js-back-main-menu-items svg,
    .mobile-menu__close svg {
        fill: #fff;
        width: 22px;
        height: 22px;
    }


    /* sub menu header */
    .sub-menu-main-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 20px;
    }

    .sub-menu-main-header__link {
        font-weight: 500;
        text-transform: uppercase;
    }


    /* mobile menu footer */
    .n-mobile-menu__footer {
        padding: 20px;
    }

    .n-mobile-menu__footer .social-networks {
        display: flex;
        align-items: center;
        list-style: none;
        gap: 10px;
        justify-content: center;
        padding: 0;
        margin-bottom: 0;
    }


    /* поиск */
    .search-elem a {
        /* gap: 3px !important; */
    }

    .search-elem a svg {
        margin-top: -1px;
        width: 18px;
    }








    /* стили с дополнительными js классами */

    .js-mobile-menu.active .background-overlay {
        opacity: 1;
        visibility: visible;
    }

    .js-mobile-menu.active .mobile-menu-wrapper {
        opacity: 1;
        visibility: visible;
        transform: none;
    }

    .n-mobile-menu .mobile-menu-wrapper.submenu-toggle {
        left: -100%;
    }

    .sub-menu_main.active:not(.sub-sub-menu) {
        left: 0;
        opacity: 1;
        visibility: visible;
        transform: none;
    }




    /* меню в три колонки */
    .menu-3-cols>.sub-menu .rb-container {
        display: flex;
        flex-wrap: wrap;
    }

    .menu-3-cols>.sub-menu .rb-container>div {
        width: 33.33%;
    }

    .menu-3-cols .rb-container .menu-link {
        justify-content: center;
        text-align: center;
        font-size: 13px;
    }

    .menu-3-cols .menu-item-object-product_cat a {
        flex-direction: column;
        padding: 5px 0 !important;
        gap: 3px !important;
    }

    .menu-3-cols .menu-item-object-product_cat a img {
        filter: brightness(.2);
        width: 35px;
        height: 35px;
        object-fit: contain;
    }

    .menu-3-cols .sub-menu {
        padding: 0;
    }



    /* currency switcher */
    .currency-switcher-n-menu ul {
        padding: 0;
        list-style: none;
    }

    .currency-switcher-n-menu a {
        opacity: 1;
        font-size: 16px;
        font-weight: 400;
        width: 100%;
        height: auto;
        padding: 8px 0px;
        margin: 0;
    }

    .currency-switcher-n-menu .woocs_flag_view_item_current {
        font-weight: 600;
    }



    /* изображения в меню */
    .menu-item-object-product_cat img {
        filter: brightness(0.2);
        width: 22px;
    }


    /* rtl */
    .rtl .js-menu-item svg,
    .rtl .js-menu-item-sub svg {
        transform: rotate(180deg);
    }

    .rtl .js-menu-item-sub.active svg {
        transform: rotate(90deg);
    }

    .rtl .js-back-main-menu-items {
        transform: scale(-1, 1);
    }

    .rtl .n-mobile-menu .sub-menu_main:not(.sub-sub-menu) {
        left: auto;
        right: 100%;
    }

    .rtl .n-mobile-menu .sub-menu_main.active:not(.sub-sub-menu) {
        left: auto;
        right: 0;
    }

    .rtl .n-mobile-menu .mobile-menu-wrapper.submenu-toggle {
        left: 100%;
    }

    .rtl .n-mobile-menu .sub-sub-menu {
        padding-left: 0;
        padding-right: 20px;
    }

    .rtl .n-mobile-menu .menu-link {
        font-size: 19px;
    }



    /* скрыть стандарт */
    div#mobile-menu,
    .side-menu-backdrop {
        display: none !important;
    }
}

@media screen and (max-width: 500px) {
    .menu-3-cols .menu-item-object-product_cat a {
        font-size: 12px !important;
        font-weight: 400;
        line-height: 1.3;
        text-transform: none;
    }

    .n-mobile-menu .sub-menu_main:not(.sub-sub-menu) {
        padding: 30px;
    }
}








/* mobile menu laptop */
@media screen and (min-width: 1025px) and (max-width: 1800px) {
    .js-menu-item.active > svg {
        transform: rotate(90deg) !important;
    }
    .n-mobile-menu .sub-menu_main:not(.sub-sub-menu) {
        transition: 0s !important;
    }
    .n-mobile-menu .mobile-menu-wrapper {
        width: 379px;
    }

    .n-mobile-menu .sub-menu_main:not(.sub-sub-menu) {
        width: 379px;
    }

    .rtl .n-mobile-menu .sub-menu_main.active:not(.sub-sub-menu) {
        left: 0;
        right: auto;
    }

    .rtl .n-mobile-menu .mobile-menu-wrapper.submenu-toggle {
        left: 0;
    }

    .n-mobile-menu .sub-menu_main:not(.sub-sub-menu) {
        position: relative;
        left: auto !important;
        right: auto !important;
        display: none;
    }

    .n-mobile-menu .main-menu-item {
        flex-direction: column;
    }

    .n-mobile-menu .sub-menu_main:not(.sub-sub-menu).active {
        display: block;
        padding-right: 40px;
    }

    .sub-menu-main-header {
        display: none;
    }   
}



.js-burger {
	cursor: pointer;
}






.elementor-icon.elementor-social-icon {
    display: inline-flex;
}








.mdw-horizontal-scroll .elementor-element:not(.e-div-block-base) .elementor-widget-container, .mdw-horizontal-scroll .elementor-element:not(.e-div-block-base):not(:has(.elementor-widget-container)) {
    transition: 0;
}







.centered-slider-custom .swiper-slide > div {
    transform: scale(.9);
    opacity: .5;
    transition: .3s;
}

.centered-slider-custom .swiper-slide.swiper-slide-next  > div {
    transform: scale(1.2);
    opacity: 1;
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev, 
.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next {
    background: linear-gradient(0deg, #2C77E7, #284fc6);
    padding: 20px;
    border-radius: 100%;
    top: 50% !important;
    transition: .3s;
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev {
    left: calc(50% - ((100% / 3) / 2)) !important;
    transform: translate(-50%, -50%) !important;
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next {
    left: calc(50% + ((100% / 3) / 2)) !important;
    right: auto !important;
    transform: translate(-50%, -50%) !important;
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev:before, 
.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next:before {
/*     content: "";
    width: 3px;
    height: 24px;
    background: #d9dfeb;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    transform: translate(0px, -50%); */
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev:before {
    right: 20px;
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next:before {
    left: 20px;
}

/* .centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev svg {
    margin-left: -5px;
    margin-right: 5px;
}

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next svg {
    margin-right: -5px;
    margin-left: 5px;
} */

.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev:hover, 
.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next:hover {
    background: linear-gradient(0deg, #284fc6, #284fc6);
}


@media screen and (max-width: 767px) {
	.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev, .centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next {
			padding: 11px;
	}

	.elementor-widget-n-carousel .elementor-swiper-button.elementor-swiper-button-next svg, .elementor-widget-n-carousel .elementor-swiper-button.elementor-swiper-button-prev svg {
			width: 18px;
			height: 18px;
	}

	.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev:before {
			right: 10px;
			height: 18px;
			width: 2px;
	}
	.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next:before {
			left: 10px;
			height: 18px;
			width: 2px;
	}

	.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-prev {
			left: 0px !important;
			transform: translate(0, -50%) !important;
	}
	.centered-slider-custom .elementor-swiper-button.elementor-swiper-button-next {
			right: 0px !important;
			left: auto !important;
			transform: translate(0, -50%) !important;

	}

	.centered-slider-custom .swiper-slide.swiper-slide-active > div {
		transform: scale(1.2);
    opacity: 1;
	}
}













.main-menu .sub-menu li:hover a:before {
    content: "";
    width: 5px;
    height: 5px;
    background: #00ffff;
    margin-left: 10px;
    border-radius: 100%;
    opacity: 1;
    right: 15px;
}

.main-menu .sub-menu li a:before {
    content: "";
    width: 5px;
    height: 5px;
    background: #00ffff;
    margin-left: 10px;
    border-radius: 100%;
    margin-right: -10px;
    transition: .3s;
    opacity: 0;
    position: absolute;
    right: 0;
}

.main-menu .sub-menu li a {
    overflow: hidden;
}

.main-menu .sub-menu li:hover a {
    color: #00ffff !important;
}


/* langs  */
li.cpel-switcher__lang a {
    background: #212752;
    padding: 15px;
    border-radius: 100%;
}

li.cpel-switcher__lang a:hover {
    background: #232fb5;
}

@media screen and (max-width: 767px) {
    li.cpel-switcher__lang a {
        padding: 7px;
        width: 36px;
        height: 36px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}


/* not rtl  */
body:not(.rtl) .elementor-button svg {
    transform: rotate(180deg);
}











.header_blue .header-container {
    background: #2c77e7 !important;
}

.header_blue .header-container .elementor-widget-theme-site-logo {
    filter: brightness(0.000001) invert(1);
}





.iconbox-support span.elementor-icon {
    width: fit-content;
    margin: 0 auto;
}
.btn-timeline {
	display: block; 
	width: fit-content;
	margin-top: 10px;
	color: white;
}



.icon-adv-center .elementor-icon {
    display: inline-flex;
}

.twae-vertical.twae-wrapper .twae-story:nth-child(odd) .twae-description a {
    margin-right: auto;
}

@media screen and (max-width: 767px) {
	.rtl .twae-vertical.twae-wrapper .twae-story.twae-story-left .twae-arrow {
		right: auto;
	}

	.rtl .twae-vertical.twae-wrapper .twae-inner-line, 
	.rtl .twae-vertical.twae-wrapper .twae-timeline:before {
		left: auto;
		right: calc(0px - var(--tw-line-width)/ 2 + var(--tw-ibx-size)/ 2);
	}

	.rtl .twae-vertical.twae-wrapper .twae-story, 
	.rtl .twae-vertical.twae-wrapper .twae-story.twae-story-center {
		float: left;
	}

	.rtl .twae-vertical.twae-wrapper .twae-arrow, 
	.rtl  .twae-vertical.twae-wrapper .twae-story.twae-story-left .twae-arrow {
		left: auto;
		right: -5px;
		transform: rotate(225deg);
	}

	.rtl .twae-vertical.twae-wrapper * {
		text-align: right;
		justify-content: flex-start;
	}

	.rtl .twae-vertical.twae-wrapper .twae-story.twae-story-left .twae-title {
		justify-content: flex-start;
	}

	.rtl .twae-vertical.twae-wrapper .twae-icon {
		left: auto !important;
		right: calc(var(--tw-ibx-size)/ 2 - var(--tw-ibx-size) * 2) !important;
		justify-content: center;
	}

	.rtl .twae-vertical.twae-wrapper .twae-end, .rtl .twae-vertical.twae-wrapper .twae-start {
		left: auto;
		right: calc(0px + var(--tw-ibx-size)/ 2 - var(--tw-line-width) * 1.5);
	}
	.rtl .twae-vertical.twae-wrapper .twae-story:nth-child(odd) .twae-description a {
		margin-left: auto;
		margin-right: 0;
	}
}






.list-router li:before {
    content: "•";
    color: #3D42DF;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-right: -1em;
    transform: scale(2);
}

.list-router li {
    list-style: none;
    margin-bottom: 10px;
}







.twae-vertical.twae-wrapper .twae-story .twae-content {
    box-shadow: none !important;
    border: 1px solid #e7e7e7 !important;
    background: #f0faff;
}

.twae-vertical.twae-wrapper .twae-story.twae-story-left .twae-arrow {
    background: #f0faff;
    box-shadow: none !important;
    border-color: #e7e7e7;
    border-width: 1px 1px 0 0;
}
.twae-vertical.twae-wrapper .twae-story.twae-story-right .twae-arrow {
    background: #f0faff;
    box-shadow: none !important;
    border-color: #e7e7e7;
    border-width: 0 0 1px 1px;
}
@media screen and (max-width: 767px) {
.rtl .twae-vertical.twae-wrapper .twae-story.twae-story-left .twae-arrow {
    border-width: 0px 0px 1px 1px !important;
}
}

.elementor-widget.elementor-widget-timeline-widget-addon .twae-wrapper .twae-icon, .elementor-widget.elementor-widget-twae-post-timeline-widget .twae-wrapper .twae-icon {
    background: #f0faff;
    border-width: 1px;
}

.twae-vertical.twae-wrapper .twae-timeline:before {
    width: 2px;
    left: calc(50% - 1px) !important;
}
.twae-vertical.twae-wrapper .twae-icon circle {
    display: none;
}